package com.sd.business.entity.sku.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sku分类
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("sku_classify")
public class SkuClassify extends BasePo {

    /**
     * 上级分类id
     */
    private Long parentId;

    /**
     * 分类名称
     */
    private String name;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 所有父级id
     */
    private String ancestors;

}
