package com.sd.business.mapper.sku;

import com.sd.business.entity.sku.po.SkuClassify;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.sku.vo.SkuClassifyVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * sku分类 Mapper 接口
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
public interface SkuClassifyMapper extends BaseMapper<SkuClassify> {

    /**
     * sku分类列表
     */
    List<SkuClassifyVo> getList(@Param("ew") IWrapper<SkuClassify> wrapper);

    /**
     * sku分类分页
     */
    Page<SkuClassifyVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuClassify> wrapper);

}
